Range-v3 Range algorithms, views, and actions for the Standard Library |

Instances and minimal complete definitions | Public Member Functions | List of all members
ranges::exclusive_scan_view< Rng, T, Fun > Struct Template Reference
Views
Inheritance diagram for ranges::exclusive_scan_view< Rng, T, Fun >:

## Public Member Functions
constexpr | exclusive_scan_view (Rng rng, T init, Fun fun)
auto | size ()
auto | size () const
Public Member Functions inherited from ranges::view_adaptor< exclusive_scan_view< Rng, T, Fun >, Rng >
constexpr base_range_t const & | base () const noexcept
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
constexpr base_range_t & | base () noexcept
view_adaptor & | operator= (view_adaptor &&)=default
view_adaptor & | operator= (view_adaptor const &)=default
constexpr | view_adaptor (Rng &&rng)
| view_adaptor (view_adaptor &&)=default
| view_adaptor (view_adaptor const &)=default

## Member Function Documentation

## ◆ size() [1/2]

template<typename Rng , typename T , typename Fun >

auto ranges::exclusive_scan_view< Rng, T, Fun >::size | ( |  | ) |

Precondition
  requires `sized_range<Rng>`

## ◆ size() [2/2]

template<typename Rng , typename T , typename Fun >

auto ranges::exclusive_scan_view< Rng, T, Fun >::size | ( |  | ) | const

Precondition
  requires `sized_range<Rng const>`

References ranges::aux::move.